Create use case
curl --request POST \
--url https://api.example.com/api/core/use-cases \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "<string>",
"label": {
"en": "<string>",
"de": "<string>",
"es": "<string>",
"fr": "<string>",
"it": "<string>",
"nl": "<string>",
"pl": "<string>",
"pt": "<string>",
"sv": "<string>"
},
"description": {
"en": "<string>",
"de": "<string>",
"es": "<string>",
"fr": "<string>",
"it": "<string>",
"nl": "<string>",
"pl": "<string>",
"pt": "<string>",
"sv": "<string>"
},
"sync_connectors": [],
"credential_ids": [
"<string>"
],
"sync_connectors_enabled_user_credentials": []
}
'import requests
url = "https://api.example.com/api/core/use-cases"
payload = {
"id": "<string>",
"label": {
"en": "<string>",
"de": "<string>",
"es": "<string>",
"fr": "<string>",
"it": "<string>",
"nl": "<string>",
"pl": "<string>",
"pt": "<string>",
"sv": "<string>"
},
"description": {
"en": "<string>",
"de": "<string>",
"es": "<string>",
"fr": "<string>",
"it": "<string>",
"nl": "<string>",
"pl": "<string>",
"pt": "<string>",
"sv": "<string>"
},
"sync_connectors": [],
"credential_ids": ["<string>"],
"sync_connectors_enabled_user_credentials": []
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: '<string>',
label: {
en: '<string>',
de: '<string>',
es: '<string>',
fr: '<string>',
it: '<string>',
nl: '<string>',
pl: '<string>',
pt: '<string>',
sv: '<string>'
},
description: {
en: '<string>',
de: '<string>',
es: '<string>',
fr: '<string>',
it: '<string>',
nl: '<string>',
pl: '<string>',
pt: '<string>',
sv: '<string>'
},
sync_connectors: [],
credential_ids: ['<string>'],
sync_connectors_enabled_user_credentials: []
})
};
fetch('https://api.example.com/api/core/use-cases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"label": {
"en": "<string>",
"de": "<string>",
"es": "<string>",
"fr": "<string>",
"it": "<string>",
"nl": "<string>",
"pl": "<string>",
"pt": "<string>",
"sv": "<string>"
},
"description": {
"en": "<string>",
"de": "<string>",
"es": "<string>",
"fr": "<string>",
"it": "<string>",
"nl": "<string>",
"pl": "<string>",
"pt": "<string>",
"sv": "<string>"
},
"deleted": false,
"disclaimer": {
"disclaimer_text": {
"en": "<string>",
"de": "<string>",
"es": "<string>",
"fr": "<string>",
"it": "<string>",
"nl": "<string>",
"pl": "<string>",
"pt": "<string>",
"sv": "<string>"
},
"disclaimer_url": "<string>"
},
"show_to_unauthorized_users": false,
"can_contain_personal_knowledge_assets": false,
"knowledge_asset_ids": [
"<string>"
],
"knowledge_source_ids": [
"<string>"
],
"org_entity_ids": [
"<string>"
],
"quick_action_ids": [
"<string>"
],
"external_links": [
{
"display_name": "<string>",
"url": "<string>",
"icon": "<string>",
"is_global": false
}
],
"query_splitting": true,
"show_knowledge_assets": true,
"enable_additional_questions": true,
"guided_search_field_ids": [
"<string>"
],
"glossary_id": "<string>",
"enable_targeted_web_search": true,
"feedback_form_config": {},
"privacy_policy": {
"privacy_policy_text": {
"en": "By submitting your feedback, you consent to the processing of your personal data\n (unless you have opted for anonymous feedback). Please also note our privacy policy, which \n contains information about your right of withdrawal.",
"de": "Mit Absenden des Feedbacks erklärst du dich mit der Verarbeitung deiner personenbezogenen\n Daten einverstanden (sofern du dich nicht für ein anonymes Feedback entschieden hast). \n Bitte beachte auch unsere Datenschutzhinweise, die Informationen zu deinem Widerrufsrecht enthalten."
},
"privacy_policy_url": "<string>"
},
"allow_url_retrieval_from_prompt": false,
"is_personal_space": false,
"enable_file_upload": false,
"disable_reranking": false,
"enable_pro_search": false,
"support_email": "<string>",
"context_about_users": "<string>",
"context_about_company": "<string>",
"context_about_documents": "<string>",
"tonality": "<string>",
"sync_connectors": [],
"credential_ids": [
"<string>"
],
"sync_connectors_enabled_user_credentials": [],
"qr_code_access_enabled": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}use-cases
Create use case
POST
/
api
/
core
/
use-cases
Create use case
Authorizations
BearerAuthAuthorizationProvider
Bearer token authentication. Format: 'Bearer '
Body
application/json
Pydantic model for a multilingual text.
Show child attributes
Show child attributes
Pydantic model for a multilingual text.
Show child attributes
Show child attributes
Available options:
confluence, disa, google_drive, google_oauth, jira, one_losp, sap_btp, servicenow, sharepoint, still_sales_and_service, smtp, cloud_storage, manually_synced Available options:
confluence, disa, google_drive, google_oauth, jira, one_losp, sap_btp, servicenow, sharepoint, still_sales_and_service, smtp, cloud_storage, manually_synced Response
Successful Response
Response schema for use case data involved in the GET use_cases request.
Pydantic model for a multilingual text.
Show child attributes
Show child attributes
Pydantic model for a multilingual text.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
confluence, disa, google_drive, google_oauth, jira, one_losp, sap_btp, servicenow, sharepoint, still_sales_and_service, smtp, cloud_storage, manually_synced Available options:
confluence, disa, google_drive, google_oauth, jira, one_losp, sap_btp, servicenow, sharepoint, still_sales_and_service, smtp, cloud_storage, manually_synced Was this page helpful?
⌘I

